Skip to main content
GET
/
v1
/
funding_events
cURL
curl --request GET \
  --header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
  --url https://sandbox.straddle.com/v1/funding_events
{
  "meta": {
    "api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "api_request_timestamp": "2023-11-07T05:31:56Z",
    "total_items": 123,
    "page_number": 123,
    "page_size": 123,
    "max_page_size": 123,
    "sort_by": "<string>",
    "sort_order": "asc",
    "total_pages": 123
  },
  "response_type": "object",
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "amount": "100000",
      "direction": "deposit",
      "event_type": "charge_deposit",
      "payment_count": 123,
      "transfer_date": "2023-12-25",
      "trace_numbers": [
        "<string>"
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "trace_ids": {},
      "trace_number": "<string>",
      "status": "created",
      "status_details": {
        "message": "Bank account sucesfully validated",
        "reason": "insufficient_funds",
        "source": "watchtower",
        "changed_at": "2023-11-07T05:31:56Z",
        "code": "<string>"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.straddle.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Straddle API Key in the Authorization header as Bearer to authorize API requests.

Headers

Straddle-Account-Id
string<uuid>

For use by platforms to specify an account id and set scope of a request.

Request-Id
string

Optional client generated identifier to trace and debug a request.

Correlation-Id
string

Optional client generated identifier to trace and debug a series of requests.

Query Parameters

page_number
integer<int32>
default:1

Results page number. Starts at page 1.

page_size
integer<int32>
default:100

Results page size. Max value: 1000

sort_by
enum<string>
default:id

The field to sort the results by.

Available options:
transfer_date,
id,
amount
sort_order
enum<string>
default:asc

The order in which to sort the results.

Available options:
asc,
desc
created_from
string<date> | null

The start date of the range to filter by using the YYYY-MM-DD format.

created_to
string<date> | null

The end date of the range to filter by using the YYYY-MM-DD format.

direction
enum<string>

Describes the direction of the funding event from the perspective of the linked_bank_account.

Available options:
deposit,
withdrawal
event_type
enum<string>

The funding event types describes the direction and reason for the funding event.

Available options:
charge_deposit,
charge_reversal,
payout_return,
payout_withdrawal
trace_number
string | null

Trace number.

search_text
string | null

Search text.

status
enum<string>[] | null

Funding Event status. Payment status.

The current status of the charge or payout.

Available options:
created,
scheduled,
failed,
cancelled,
on_hold,
pending,
paid,
reversed,
validating
trace_id
string | null

Trace Id.

status_reason
enum<string>[] | null

Reason for latest payment status change.

Available options:
insufficient_funds,
closed_bank_account,
invalid_bank_account,
invalid_routing,
disputed,
payment_stopped,
owner_deceased,
frozen_bank_account,
risk_review,
fraudulent,
duplicate_entry,
invalid_paykey,
payment_blocked,
amount_too_large,
too_many_attempts,
internal_system_error,
user_request,
ok,
other_network_return,
payout_refused,
cancel_request,
failed_verification,
require_review,
blocked_by_system,
watchtower_review,
validating,
auto_hold
status_source
enum<string>[] | null

Source of latest payment status change.

Available options:
watchtower,
bank_decline,
customer_dispute,
user_action,
system

Response

OK

meta
object
required
response_type
enum<string>
required

Indicates the structure of the returned content.

  • "object" means the data field contains a single JSON object.
  • "array" means the data field contains an array of objects.
  • "error" means the data field contains an error object with details of the issue.
  • "none" means no data is returned.
Available options:
object,
array,
error,
none
data
object[]
required